
Installer - Bug #1285

Missing support for ssl in external_node.rb.erb

11/01/2011 09:55 AM - Daniel Maraio

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello Guys,

It looks like the enc script generated from this template has a problem using SSL when talking to 

Foreman. It was throwing an error of 'Net::HTTPBadResponse: wrong status line:'. A little googling

 suggested that use_ssl was not being set. I have included a patch that fixes this problem. I am n

ot a ruby dude so the patch is not all that pretty!

History

#1 - 11/01/2011 10:42 AM - Ohad Levy

- Project changed from Foreman to Installer

- Category deleted (External Nodes)

#2 - 02/22/2012 06:05 PM - Anonymous

With the lastest changes (abc48676c75bf1694d9b05c4f0b8bad995b34e81 - ec7c004c215dfeea6b46d25a9b65f376c23691ce) this bug should be

fixed.

#3 - 06/17/2012 06:58 AM - Ohad Levy

- Status changed from New to Closed

Files

external_node.rb.erb.patch 1.22 KB 11/01/2011 Daniel Maraio
